html { 
    height: 100%;
}

body {
    margin:0px;  
    background-color:lightgray;     
    font-size:13px;
    height: 100%;
}

table {
    font-size:12px !important
}
.container {
    min-width:300px; 
    max-width:1300px; 
    margin-left:auto; 
    margin-right:auto; 
    background-color:white; 
    min-height: 100%;
}

.attachment-button {
    display:inline-block; 
    text-align:left; 
    vertical-align:middle; 
    width:auto; 
    overflow:hidden;
    cursor:pointer;
    margin:5px;
    padding:10px 15px;  
    border:1px solid #444444;
	border-radius:10px;
}
.attachment-button:hover {
    background-color:#1D5096;
	color:white;
}

.data-table {
    width:100%;   
    border-spacing: 0;
    border-collapse: collapse; 
    font-size:13px;	
}

.data-table thead th {
    border-bottom: 1px solid gray;
    text-align: left;
    padding:5px;
    font-weight: normal;
    color:gray;
}

.data-table tr td {
    padding:7px;
    vertical-align: middle;
}



.product-table {
    width:100%;
}

.helper-image {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.product-table tr td { vertical-align: top;}
.product-image {
    display:inline-block;  
    width:160px;
	height:160px;	
	text-align:center;
	/*border:1px solid;*/
	border-radius: 10px
}
.product-datas {
    display:inline-block; 
    vertical-align:top; 
    width:calc(100% - 180px); 
    padding-left:20px;
}


.logo-container { 
    float:right; 
    /*padding:10px; */
	vertical-align:middle;
}

.button {
    background-color:rgb(0, 35, 148);
    padding:8px 20px;
    text-align: center;
    border:1px solid gray; 
    width:150px;   
    cursor: pointer;
    color:white;
}
.button:hover {
    background-color:rgb(104, 171, 248);
}

.gray { color:#444444; }

.m0 { margin:0px; }

.f23 { font-size: 23px; }
.f15 { font-size:15px; }

.p2 { padding:2px; }
.p5 { padding:5px; }
.p10 { padding:10px; }
.p15 { padding:15px; }
.p20 { padding:20px; }
.p25 { padding:25px; }
.p30 { padding:30px; }

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 25px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 19px;
    width: 19px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }


@media only screen and (max-width:600px) {
    .logo-container {         
        float:none;
        padding:10px;  
        border-bottom:1px solid lightgray;  
        background-color:white; 
        text-align: center;
    }
    .logo-container img {         
        width:100px;     
    }

    .product-image {
        display: block; 
        text-align:center;
        width:100%;       
    }

    .product-datas {
        display:block;
        padding-left:0px;
        width:100%;
        padding-top:20px;
    }

    .f23 { font-size: 18px; }
    .f15 { font-size: 13px; }
}



/* ---------------------------------------- */
/* ---------------------------------------- */
/*                ALERT CSS                 */
/* ---------------------------------------- */
/* ---------------------------------------- */



/* ---------------Animation---------------- */

.slit-in-vertical {
	-webkit-animation: slit-in-vertical 0.45s ease-out both;
	        animation: slit-in-vertical 0.45s ease-out both;
}

@-webkit-keyframes slit-in-vertical {
  0% {
    -webkit-transform: translateZ(-800px) rotateY(90deg);
            transform: translateZ(-800px) rotateY(90deg);
    opacity: 0;
  }
  54% {
    -webkit-transform: translateZ(-160px) rotateY(87deg);
            transform: translateZ(-160px) rotateY(87deg);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateZ(0) rotateY(0);
            transform: translateZ(0) rotateY(0);
  }
}
@keyframes slit-in-vertical {
  0% {
    -webkit-transform: translateZ(-800px) rotateY(90deg);
            transform: translateZ(-800px) rotateY(90deg);
    opacity: 0;
  }
  54% {
    -webkit-transform: translateZ(-160px) rotateY(87deg);
            transform: translateZ(-160px) rotateY(87deg);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateZ(0) rotateY(0);
            transform: translateZ(0) rotateY(0);
  }
}

/*---------------#region Alert--------------- */

#dialogoverlay{
  display: none;
  opacity: .8;
  position: fixed;
  top: 0px;
  left: 0px;
  background: #707070;
  width: 100%;
  z-index: 10;
}

#dialogbox{
  display: none;
  position: fixed;
  background: white;
  border-radius:10px; 
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.575);
  transition: 0.3s;
  width: 80%;
  z-index: 10;
  top: 50px;
  left: 0;
  right: 0;
  margin: auto;
}

#dialogbox:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.911);
}

.container {
  padding: 2px 16px;
}

.pure-material-button-contained {
  position: relative;
  display: inline-block;
  box-sizing: border-box;
  border: none;
  border-radius: 5px;
  padding: 0 16px;
  min-width: 64px;
  height: 36px;
  vertical-align: middle;
  text-align: center;
  text-overflow: ellipsis;
  text-transform: uppercase;
  color: white;
  background-color: #1D5096;  
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  font-size: 14px;
  font-weight: 500;
  line-height: 36px;
  overflow: hidden;
  outline: none;
  cursor: pointer;
  transition: box-shadow 0.2s;
}

.pure-material-button-contained::-moz-focus-inner {
  border: none;
}

/* ---------------Overlay--------------- */

.pure-material-button-contained::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
  opacity: 0;
  transition: opacity 0.2s;
}

/* Ripple */
.pure-material-button-contained::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  border-radius: 50%;
  padding: 50%;
  width: 32px; /* Safari */
  height: 32px; /* Safari */
  background-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
  opacity: 0;
  transform: translate(-50%, -50%) scale(1);
  transition: opacity 1s, transform 0.5s;
}

/* Hover, Focus */
.pure-material-button-contained:hover,
.pure-material-button-contained:focus {
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12);
}

.pure-material-button-contained:hover::before {
  opacity: 0.08;
}

.pure-material-button-contained:focus::before {
  opacity: 0.24;
}

.pure-material-button-contained:hover:focus::before {
  opacity: 0.3;
}

/* Active */
.pure-material-button-contained:active {
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.pure-material-button-contained:active::after {
  opacity: 0.32;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0s;
}

/* Disabled */
.pure-material-button-contained:disabled {
  color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
  background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.12);
  box-shadow: none;
  cursor: initial;
}

.pure-material-button-contained:disabled::before {
  opacity: 0;
}

.pure-material-button-contained:disabled::after {
  opacity: 0;
}

#dialogbox > div{ 
  background:#FFF; 
  margin:8px; 
}

.dialogboxheadinfo{ 
  background: #1D5096; 
  font-size:19px; 
  padding:10px; 
  color: white; 
}

.dialogboxheaderror{ 
  background: #ec422e; 
  font-size:19px; 
  padding:10px; 
  color: white; 
}


#dialogbox > div > #dialogboxbody{ 
  background:white; 
  padding:20px; 
  color:black; 
}

#dialogbox > div > #dialogboxfoot{ 
  background: white; 
  padding:10px; 
  text-align:right; 
}
/*#endregion Alert*/